New dedicated Steam Community Market endpoints are available! - full historical sale data and full-depth bid/ask orderbook. See docs.

GET /health

On this page

No authentication required.

Request#

GETapi.cs2.sh/health
curl https://api.cs2.sh/health \
  -H "Accept-Encoding: gzip" --compressed

Response#

json
{
  "status": "up",
  "last_refreshed_at": "2026-06-16T14:36:35.733703986Z",
  "sources": {
    "buff": {
      "updated_at": "2026-06-16T14:30:46Z",
      "collected_at": "2026-06-16T14:35:28.622Z",
      "status": "up"
    },
    "c5game": {
      "updated_at": "2026-06-16T14:31:48.846Z",
      "collected_at": "2026-06-16T14:31:53.41Z",
      "status": "up"
    },
    "csfloat": {
      "updated_at": "2026-06-16T14:35:33.329Z",
      "collected_at": "2026-06-16T14:35:33.439Z",
      "status": "up"
    },
    "skinport": {
      "updated_at": "2026-06-16T14:34:37.65Z",
      "collected_at": "2026-06-16T14:34:45.969Z",
      "status": "up"
    },
    "steam": {
      "updated_at": "2026-06-16T14:33:02.073Z",
      "collected_at": "2026-06-16T14:33:05.208Z",
      "status": "up"
    },
    "youpin": {
      "updated_at": "2026-06-16T14:30:36Z",
      "collected_at": "2026-06-16T14:33:28.795Z",
      "status": "up"
    }
  },
  "variants": {
    "buff_variant": {
      "updated_at": "2026-06-16T14:31:20Z",
      "collected_at": "2026-06-16T14:35:28.622Z",
      "status": "up"
    },
    "c5game_variant": {
      "updated_at": "2026-06-16T14:33:11.787Z",
      "collected_at": "2026-06-16T14:34:22.445Z",
      "status": "up"
    },
    "csfloat_variant": {
      "updated_at": "2026-06-16T14:35:03.804Z",
      "collected_at": "2026-06-16T14:35:31.092Z",
      "status": "up"
    },
    "skinport_variant": {
      "updated_at": "2026-06-16T14:34:37.65Z",
      "collected_at": "2026-06-16T14:34:45.969Z",
      "status": "up"
    },
    "youpin_variant": {
      "updated_at": "2026-06-16T14:35:20.555Z",
      "collected_at": "2026-06-16T14:35:30.51Z",
      "status": "up"
    }
  },
  "endpoints": {
    "archive/csfloat": {
      "updated_at": "2026-06-16T00:00:00Z",
      "collected_at": "2026-06-16T14:35:27.406Z",
      "status": "up"
    },
    "archive/history": {
      "updated_at": "2026-06-16T14:35:17Z",
      "collected_at": "2026-06-16T14:35:17Z",
      "status": "up"
    },
    "archive/steam": {
      "updated_at": "2026-06-16T13:00:00Z",
      "collected_at": "2026-06-16T13:00:00Z",
      "status": "up"
    },
    "liquidity": {
      "updated_at": "2026-06-16T14:21:55Z",
      "collected_at": "2026-06-16T14:22:53.476Z",
      "status": "up"
    },
    "liquidity/items": {
      "updated_at": "2026-06-16T00:00:00Z",
      "collected_at": "2026-06-16T00:00:25.23Z",
      "status": "up"
    },
    "market/buff/history": {
      "updated_at": "2026-06-16T14:30:55.712Z",
      "collected_at": "2026-06-16T14:30:55.712Z",
      "status": "up"
    },
    "market/buff/latest": {
      "updated_at": "2026-06-16T14:30:55.712Z",
      "collected_at": "2026-06-16T14:30:55.712Z",
      "status": "up"
    },
    "market/steam/history": {
      "updated_at": "2026-06-16T14:00:00Z",
      "collected_at": "2026-06-16T14:00:00Z",
      "status": "up"
    },
    "market/steam/latest": {
      "updated_at": "2026-06-16T14:33:06.658Z",
      "collected_at": "2026-06-16T14:33:07.549Z",
      "status": "up"
    },
    "prices/history": {
      "updated_at": "2026-06-16T14:35:00Z",
      "collected_at": "2026-06-16T14:35:00Z",
      "status": "up"
    },
    "prices/latest": {
      "updated_at": "2026-06-16T14:35:33.329Z",
      "collected_at": "2026-06-16T14:35:33.439Z",
      "status": "up"
    }
  },
  "stats": {
    "total_events": 21303303357,
    "market_hash_names": 41476,
    "variant_items": 1332
  }
}

Response fields#

FieldTypeDescription
statusstringOverall service status: up, degraded, or down.
last_refreshed_atstringISO timestamp.
sourcesobjectMap of health entries.
variantsobjectMap of health entries.
endpointsobjectMap of health entries.
statsobjectAggregate counts.

Health entries contain updated_at, collected_at, and status.

stats contains total_events, market_hash_names, and variant_items.